      complex function ccosh (z)
c april 1977 version.  w. fullerton, c3, los alamos scientific lab.
      complex z, ci, ccos
      external ccos
      data ci /(0.,1.)/
c
      ccosh = ccos (ci*z)
c
      return
      end
